;---------------------------------------------------------------------------------------------------------------------------------------------------------------
;
;                                                      Ash Project
;                                       2000 - eViL_dEaD Scripts, All Rights Reserved.
;
;---------------------------------------------------------------------------------------------------------------------------------------------------------------

; ###### Dialog ######

dialog aff_aide_netdetector {
  title "Aide pour Netsplit Detector v1.1"
  size -1 -1 420 300
  button "Quitter" , 1 , 5 270 410 20 , ok
  list 2 , 5 5 410 260 , multi , vsbar , read
}

dialog config-detector {
  title "Netsplit Detector v1.1"
  size -1 -1 230 230
  button "Quitter" , 1 , 125 200 100 20 , ok
  box "Etat" , 2 , 5 5 220 40
  radio "Activ" , 3 , 20 20 50 20 , group
  radio "Dsactiv" , 4 , 140 20 70 20 
  box "Sons lors d'un Netsplit/Netmerge" , 8 , 5 135 220 40
  radio "Activs" , 9 , 20 150 55 20 , group
  radio "Dsactivs" , 10 , 140 150 80 20 
  button "Aide" , 11 , 5 200 100 20
  text "@2000 Ash Project" , 12 , 5 70 210 15 , center
  check "Afficher tous les messages du serveur" , 5 , 15 100 200 15
}

dialog net-merge {
  title "Netmerge dtect..."
  size -1 -1 350 100
  button "Quitter" , 1 , 245 70 100 20 , ok
  button "Aide" , 2 , 5 70 100 20
  edit "" , 3 , 5 5 340 60 , multi
  text "" , 4 , 700 700 1 1
}

dialog net-split {
  title "Netsplit dtect..."
  size -1 -1 350 130
  button "Quitter" , 1 , 245 100 100 20 , ok
  button "Aide" , 2 , 5 100 100 20
  edit "" , 3 , 5 5 340 90 , multi , hsbar
  text "" , 4 , 700 700 1 1
}

; ###### Alias ######

alias aff_aidenetdetector {
  var %zzz = 1 | var %lig = 1
  :deb | var %ligne = $read -l $+ %zzz $shortfn( $mircdirKernel\Netsplit-Detector\Aide._A_ )
  if ( %ligne == $null ) { goto fin }
  did -i aff_aide_netdetector 2 %lig %ligne
  inc %zzz | inc %lig
  goto deb | :fin
}

alias configdetector { verif_dialog Laisser config-detector | dialog -m config-detector config-detector | verif_detector }

alias netsplit {
  if ( %ash_son == on ) { if ( %son_detector == on ) { .splay $shortfn( [ $mircdirKernel\Netsplit-Detector\Netsplit.wav ] ) } }
  var %a = $active
  if ( $dialog(net-split).title == $null ) { if ( $appactive == $true ) { dialog -m net-split net-split | goto suite } | if ( $appactive == $false ) { dialog -mdv net-split net-split } }
  :suite | did -r net-split 3
  did -i net-split 3 1 Information du serveur: $chr(91) $2 $chr(93)
  did -i net-split 3 2 $chr(160)
  did -i net-split 3 3 Netsplit du serveur: $chr(91) $1 $chr(93)
  did -i net-split 3 4 Raison: $remove($3-,$chr(40),$chr(41))
  did -f net-split 4
fen_active %a | inc %console.netsplit | info-console }

alias netmerge {
  if ( %ash_son == oui ) { if ( %son_detector == on ) { .splay $shortfn( [ $mircdirKernel\Netsplit-Detector\Netmerge.wav ] ) } }
  var %a = $active
  if ( $dialog(net-merge).title == $null ) { if ( $appactive == $true ) { dialog -m net-merge net-merge | goto suite } | if ( $appactive == $false ) { dialog -mdv net-merge net-merge } }
  :suite | did -r net-merge 3
  did -i net-merge 3 1 Netmerge du serveur: $chr(91) $1 $chr(93) 
  if ( $2 != $null ) { did -i net-merge 3 2 $chr(160) | did -i net-merge 3 3 Lien avec: $chr(91) $2 $chr(93)  }
  did -f net-merge 4
fen_active %a | inc %console.netmerge | info-console }

alias verif_detector {
  if ( %netsplit == on ) { did -c config-detector 3 }
  if ( %netsplit == off ) { did -c config-detector 4 }
  if ( %son_detector == on ) { did -c config-detector 9 }
  if ( %son_detector == off ) { did -c config-detector 10 }
  if ( %tlm_du_serveur == oui ) { did -c config-detector 5 }
}

; ###### Evnements dialog ######

on *:dialog:config-detector:sclick:3:{ set %netsplit on | verif_detector }
on *:dialog:config-detector:sclick:4:{ set %netsplit off | verif_detector }
on *:dialog:config-detector:sclick:5:{ if ( %tlm_du_serveur == oui ) { set %tlm_du_serveur non | halt } | set %tlm_du_serveur oui }
on *:dialog:config-detector:sclick:6:{ set %affnotice on | verif_detector }
on *:dialog:config-detector:sclick:7:{ set %affnotice off | verif_detector }
on *:dialog:config-detector:sclick:9:{ set %son_detector on | verif_detector }
on *:dialog:config-detector:sclick:10:{ set %son_detector off | verif_detector }
on *:dialog:config-detector:sclick:11:{ verif_dialog Laisser aff_aide_netdetector | dialog -m aff_aide_netdetector aff_aide_netdetector | aff_aidenetdetector }

on *:dialog:net-merge:sclick:2:{ verif_dialog Laisser aff_aide_netdetector | dialog -m aff_aide_netdetector aff_aide_netdetector | aff_aidenetdetector }

on *:dialog:net-split:sclick:2:{ verif_dialog Laisser aff_aide_netdetector | dialog -m aff_aide_netdetector aff_aide_netdetector | aff_aidenetdetector }

; ----------------------------------------------------------------------------------------------

; ###### Dialog ######

dialog aidex {
  title "Aide :)"
  size -1 -1 300 300
  button "Quitter" , 1 , 5 252 290 43 , ok
  list 2 , 5 5 290 235 , vsbar
}

dialog espion-x {
  title "Recueil des donnes veuillez patienter..."
  size -1 -1 400 300
  button "Quitter" , 1 , 295 270 100 20 , ok
  text "Informations sur vos disks" , 2 , 5 40 125 15 , left
  combo 3 , 130 35 50 250 , drop , size
  button "Graphique" , 4 , 190 35 95 20
  button "Texte" , 5 , 300 35 95 20
  text "Informations sur la mmoire" , 6 , 5 80 150 15 , left
  button "Graphique" , 7 , 190 75 95 20
  button "Texte" , 8 , 300 75 95 20
  icon 10 , 5 5 390 10 , Kernel\Espion-X\barre.bmp , noborder
  icon 11 , 5 150 390 10 , Kernel\Espion-X\barre.bmp , noborder
  button "Aide" , 12 , 5 270 100 20
  box "Surveillance de fichiers" , 13 , 5 170 390 90
  button "Ajouter un fichier" , 14 , 20 195 150 20
  button "Liste des fichiers" , 15 , 20 225 150 20
  button "Vrifier" , 16 , 200 195 180 50
}

dialog mem-X {
  title "Etat de la mmoire de votre PC"  
  size -1 -1 255 200
  button "Quitter" , 1 , 165 170 80 20 , ok
  text "% de mmoire utilise" , 2 , 5 20 145 15 , left
  edit "" , 3 , 150 15 100 20 , read
  text "Memoire Physique Totale" , 4 , 5 50 145 15 , left
  edit "" , 5 , 150 45 100 20 , read
  text "Memoire Physique Libre" , 6 , 5 80 145 15 , left
  edit "" , 7 , 150 75 100 20 , read
  text "Memoire Virtuelle Totale" , 8 , 5 110 145 15 , left
  edit "" , 9 , 150 105 100 20 , read
  text "Memoire Virtuelle Libre" , 10 , 5 140 145 15 , left
  edit "" , 11 , 150 135 100 20 , read
  button "Mmoire Dos" , 12 , 5 170 80 20
}

dialog disk-X {
  title ""  
  size -1 -1 305 260
  button "Quitter" , 1 , 127 230 50 20 , ok
  text "Nom:" , 2 , 5 20 145 15 , left
  edit "" , 3 , 150 15 150 20 , read
  text "Type:" , 4 , 5 50 145 15 , left
  edit "" , 5 , 150 45 150 20 , read
  text "Type de FAT" , 6 , 5 80 145 15 , left
  edit "" , 7 , 150 75 150 20 , read
  text "Numro de srie" , 8 , 5 110 145 15 , left
  edit "" , 9 , 150 105 150 20 , read
  text "Espace Total" , 10 , 5 140 145 15 , left
  edit "" , 11 , 150 135 150 20 , read
  text "Espace Utilis" , 12 , 5 170 145 15 , left
  edit "" , 13 , 150 165 150 20 , read
  text "Espace Libre" , 14 , 5 200 145 15 , left
  edit "" , 15 , 150 195 150 20 , read
}

dialog afffic-x {
  title "Liste des fichiers..." 
  size -1 -1 500 400
  button "Quitter" , 1 , 225 370 50 20 ,ok
  list 2 , 5 5 390 360 , vsbar , hsbar
  button "Effacer un fichier" , 3, 400 5 95 100
  button "Tout effacer" , 4 , 400 263 95 100
  button "Updater un fichier" , 5 , 400 110 95 150
}

dialog verif-x {
  title "Vrification des fichiers..." 
  size -1 -1 500 400
  button "Quitter" , 1 , 225 370 50 20 ,ok
  list 2 , 5 5 490 360 , vsbar , hsbar
}

; ###### Alias ######

alias affficx {
  did -r afffic-x 2
  var %fic = " $+ $mircdirKernel\Espion-x\Base_de_donnes._A_ $+ "  | var %zzz = 2 | var %zz = 1 | var %lig = 1 | :deb
  var %ligne $read -l $+ %zzz %fic
  if ( %ligne == $null ) { goto fin }
  if ( %zz == 1 ) { did -i afffic-x 2 %lig Nom du fichier: %ligne }
  if ( %zz == 2 ) { var %taillex = $oct(%ligne)
  did -i afffic-x 2 %lig Taille du fichier: %taillex }
  if ( %zz == 3 ) { did -i afffic-x 2 %lig Date de dernire modification: $frdate2($asctime(%ligne)) }
  if ( %zz == 4 ) { did -i afffic-x 2 %lig Checksum: %ligne }
  if ( %zz == 5 ) { did -i afffic-x 2 %lig $chr(160) | var %zz = 0 }
inc %zzz | inc %zz | inc %lig | goto deb | :fin | did -z afffic-x 2 }

alias ajoutx {
  var %fic = " $+ $mircdirKernel\Espion-x\Base_de_donnes._A_ $+ " | var %temp = $dir="Slectionner un fichier" c:\*.*
  if ( %temp == $null ) { goto fin2 }
  var %zz = 2 | :deb 
  var %ligne = $read -nl $+ %zz %fic
  if ( %ligne == $null ) { goto fin }
  if ( %ligne == %temp ) { messash fermer Le fichier existe dja dans ma base de donne :) | halt }
  inc %zz 5 | goto deb | :fin
  var %temp = " $+ %temp $+ " 
  write %fic $remove(%temp,")
  write %fic $file( %temp ).size
  write %fic $file( %temp ).mtime
  write %fic $crc( %temp )
  write %fic ######@######
  messash fermer Le fichier a bien t ajout :)
  :fin2
}

alias affaidex {
  var %fic = $shortfn($mircdirKernel\Espion-x\Aide._A_) |  var %zzz = 1 | var %lig = 1
  :deb
  var %ligne = $read -l $+ %zzz  %fic
  if ( %ligne == $null ) { goto fin }
  did -i aidex 2 %lig %ligne
  inc %zzz | inc %lig | goto deb
  :fin
}

alias testx { if ( $1 == $null ) { return Non connu ou nom dfinit... } | if ( $1 != $null ) { return $1- } }

alias espionx { verif_dialog Laisser espion-x | dialog -m espion-x espion-x | verif_disk }

alias memx { var %fic = $mircdirKernel\Dll\fsmem.dll | var %fic = $shortfn( %fic )
  set %mem_tot_phys $oct( $dll( [ %fic ] ,GetMemInfo,totalphys) )
  set %mem_libre_phys $oct( $dll( [ %fic ] ,GetMemInfo,freephys) )
  set %mem_virt_tot $oct( $dll( [ %fic ] ,GetMemInfo,totalvirtual) )
  set %mem_virt_libre $oct( $dll( [ %fic ] ,GetMemInfo,freevirtual) )
}

alias diskx { var %fic = $mircdirKernel\Dll\fsmem.dll | var %fic = $shortfn( %fic )
  if ( $disk( $1 ).label == $null ) { set %disk_label Pas de nom spcifi... }
  if ( $disk( $1 ).label != $null ) { set %disk_label $disk( $1 ).label }
  if ( $disk( $1 ).type == $null ) { set %disk_type Non reconnu... }
  if ( $disk( $1 ).type != $null ) { set %disk_type $replace($disk( $1 ).type,fixed,Fixe,removable,Amovible,cdrom,CD-ROM)  }
  if ( $dll( [ %fic ] ,GetVolumeInfo,fstype [ $1 $+ \ ] ) == FAT ) { set %disk_fat FAT16 }
  if ( $dll( [ %fic ] ,GetVolumeInfo,fstype [ $1 $+ \ ] ) != FAT && $dll( [ %fic ] ,GetVolumeInfo,fstype [ $1 $+ \ ] ) != CDFS ) { set %disk_fat $dll( [ %fic ] ,GetVolumeInfo,fstype [ $1 $+ \ ] )  }
  if ( $dll( [ %fic ] ,GetVolumeInfo,fstype [ $1 $+ \ ] ) == CDFS ) { set %disk_fat CD-ROM File System }
  if ( $dll( [ %fic ] ,GetVolumeInfo,serial  [ $1 $+ \ ] ) == 0 ) { set %disk_serie Non connu... }
  if ( $dll( [ %fic ] ,GetVolumeInfo,serial  [ $1 $+ \ ] ) != 0 ) { set %disk_serie $abs( $dll( [ %fic ] ,GetVolumeInfo,serial  [ $1 $+ \ ] ) )  }
  var %temp = $dll( [ %fic ] ,GetSpaceInfo, total [ $1 $+ \ ] ) | set %disk_esp_tot $oct(  %temp )
  set %disk_esp_libre $oct( $disk($1).free )
  set %disk_esp_utilise $oct( $calc( %temp - $disk($1).free ) )
}

alias aff_disk_graph { var %fic = $mircdirKernel\Dll\fsmem.dll | var %fic = $shortfn( %fic )
  window -adp +f @MemGraph2 150 150 460 90  
  drawfill @MemGraph2 1 1 0 0 

  drawtext -c @MemGraph2 0 Tahoma 12 5 10 400 40 Pourcentage d'espace libre sur $1 ==> $round( $calc( $disk($1).free / $dll( [ %fic ] ,GetSpaceInfo, total [ $1 $+ \ ] )  * 100 ) ,2) $+ % 
  if ( $calc( $disk($1).free / $dll( [ %fic ] ,GetSpaceInfo, total [ $1 $+ \ ] ) * 100 ) >= 50 ) { var %rec_coul = 9 }
  if ( $calc( $disk($1).free / $dll( [ %fic ] ,GetSpaceInfo, total [ $1 $+ \ ] ) * 100 ) < 50 && $calc( $disk($1).free / $dll( [ %fic ] ,GetSpaceInfo, total [ $1 $+ \ ] ) * 100 )  >= 10  ) { var %rec_coul = 7 }
  if ( $calc( $disk($1).free / $dll( [ %fic ] ,GetSpaceInfo, total [ $1 $+ \ ] ) * 100 )  < 10 ) { var %rec_coul = 4 }
  drawrect -f @MemGraph2 %rec_coul 1 30 30 $calc( $disk($1).free / $dll( [ %fic ] ,GetSpaceInfo, total [ $1 $+ \ ] )  * 400 ) 20
  drawline @MemGraph2 0 1 30 51 430 51
  drawline @MemGraph2 0 1 30 51 30 56
  drawline @MemGraph2 0 1 230 51 230 56
  drawline @MemGraph2 0 1 430 51 430 56
  var %zz = 30
  :deb 
  if ( %zz > 430 ) { goto fin }
  drawline @MemGraph2 0 1 %zz 51 %zz 54
  inc %zz 40
  goto deb
  :fin
  drawtext -c @MemGraph2 0 Tahoma 12 25 60 40 40 0%
  drawtext -c @MemGraph2 0 Tahoma 12 224 60 40 40 50%
  drawtext -c @MemGraph2 0 Tahoma 12 422 60 40 40 100%
}

alias aff_disk_texte {
  diskx $1
  did -ra disk-x 3 %disk_label
  did -ra disk-x 5 %disk_type
  did -ra disk-x 7 %disk_fat
  did -ra disk-x 9 %disk_serie
  did -ra disk-x 11 %disk_esp_tot
  did -ra disk-x 13 %disk_esp_utilise 
  did -ra disk-x 15 %disk_esp_libre
  unset %disk_*
}

alias aff_mem_texte { var %fic = $mircdirKernel\Dll\fsmem.dll | var %fic = $shortfn( %fic )
  memx
  did -ra  mem-X 3 $dll( [ %fic ] ,GetMemInfo,memoryload) $+ %
  did -ra mem-X 5 $remove(%mem_tot_phys,.00)
  did -ra mem-X 7 $remove(%mem_libre_phys,.00)
  did -ra mem-X 9 $remove(%mem_virt_tot,.00)
  did -ra mem-X 11 $remove(%mem_virt_libre,.00)
  unset %mem_*
}

alias aff_mem_graph { var %fic = $mircdirKernel\Dll\fsmem.dll | var %fic = $shortfn( %fic )
  window -adp +f @MemGraph 150 150 460 230  
  drawfill @MemGraph 1 1 0 0 

  drawtext -c @MemGraph 0 Tahoma 12 5 10 400 40 Pourcentage de mmoire utilise: $dll( [ %fic ] ,GetMemInfo,memoryload) $+ %
  if ( $dll( [ %fic ] ,GetMemInfo,memoryload) >= 70 ) { var %rec_coul = 4 }
  if ( $dll( [ %fic ] ,GetMemInfo,memoryload) < 70 && $dll( [ %fic ] ,GetMemInfo,memoryload) >= 40  ) { var %rec_coul = 7 }
  if ( $dll( [ %fic ] ,GetMemInfo,memoryload) < 40 ) { var %rec_coul = 9 }
  drawrect -f @MemGraph %rec_coul 1 30 30 $calc( ( $dll( [ %fic ] ,GetMemInfo,memoryload) / 100 ) * 400 ) 20
  drawline @MemGraph 0 1 30 51 430 51
  drawline @MemGraph 0 1 30 51 30 56
  drawline @MemGraph 0 1 230 51 230 56
  drawline @MemGraph 0 1 430 51 430 56
  var %zz = 30
  :deb 
  if ( %zz > 430 ) { goto fin }
  drawline @MemGraph 0 1 %zz 51 %zz 54
  inc %zz 40
  goto deb
  :fin
  drawtext -c @MemGraph 0 Tahoma 12 25 60 40 40 0%
  drawtext -c @MemGraph 0 Tahoma 12 224 60 40 40 50%
  drawtext -c @MemGraph 0 Tahoma 12 422 60 40 40 100%

  drawtext -c @MemGraph 0 Tahoma 12 5 80 400 40 Pourcentage de mmoire physique libre: $round( $calc( $dll( [ %fic ] ,GetMemInfo,freephys)  / $dll( [ %fic ] ,GetMemInfo,totalphys) * 100 ) ,2) $+ %
  if ( $calc( $dll( [ %fic ] ,GetMemInfo,freephys)  / $dll( [ %fic ] ,GetMemInfo,totalphys) * 100 )  >= 60 ) { var %rec_coul = 9 }
  if ( $calc( $dll( [ %fic ] ,GetMemInfo,freephys)  / $dll( [ %fic ] ,GetMemInfo,totalphys) * 100 )  < 60 && $calc( $dll( [ %fic ] ,GetMemInfo,freephys)  / $dll( [ %fic ] ,GetMemInfo,totalphys) * 100 )  >= 40  ) { var %rec_coul = 7 }
  if ( $calc( $dll( [ %fic ] ,GetMemInfo,freephys)  / $dll( [ %fic ] ,GetMemInfo,totalphys) * 100 )  < 40 ) { var %rec_coul = 4 }
  drawrect -f @MemGraph %rec_coul 1 30 100 $calc( ( $dll( [ %fic ] ,GetMemInfo,freephys) / $dll( [ %fic ] ,GetMemInfo,totalphys) ) * 400 ) 20
  drawline @MemGraph 0 1 30 121 430 121
  drawline @MemGraph 0 1 30 121 30 126
  drawline @MemGraph 0 1 230 121 230 126
  drawline @MemGraph 0 1 430 121 430 126
  var %zz = 30
  :deb2 
  if ( %zz > 430 ) { goto fin2 }
  drawline @MemGraph 0 1 %zz 121 %zz 124
  inc %zz 40
  goto deb2
  :fin2
  drawtext -c @MemGraph 0 Tahoma 12 25 130 40 40 0%
  drawtext -c @MemGraph 0 Tahoma 12 224 130 40 40 50%
  drawtext -c @MemGraph 0 Tahoma 12 422 130 40 40 100%

  drawtext -c @MemGraph 0 Tahoma 12 5 150 400 40 Pourcentage de mmoire virtuelle libre: $round( $calc( $dll( [ %fic ] ,GetMemInfo,freevirtual)  / $dll( [ %fic ] ,GetMemInfo,totalvirtual) * 100 ) ,2) $+ %
  if ( $calc( $dll( [ %fic ] ,GetMemInfo,freevirtual)  / $dll( [ %fic ] ,GetMemInfo,totalvirtual) * 100 )  >= 60 ) { var %rec_coul = 9 }
  if ( $calc( $dll( [ %fic ] ,GetMemInfo,freevirtual)  / $dll( [ %fic ] ,GetMemInfo,totalvirtual) * 100 )  < 60  &&  $calc( $dll( [ %fic ] ,GetMemInfo,freevirtual)  / $dll( [ %fic ] ,GetMemInfo,totalvirtual) * 100 )  >= 40  ) { var %rec_coul = 7 }
  if ( $calc( $dll( [ %fic ] ,GetMemInfo,freevirtual)  / $dll( [ %fic ] ,GetMemInfo,totalvirtual) * 100 )  < 40 ) { var %rec_coul = 4 }
  drawrect -f @MemGraph %rec_coul 1 30 170 $calc( ( $dll( [ %fic ] ,GetMemInfo,freevirtual) / $dll( [ %fic ] ,GetMemInfo,totalvirtual) ) * 400 ) 20
  drawline @MemGraph 0 1 30 191 430 191
  drawline @MemGraph 0 1 30 191 30 196
  drawline @MemGraph 0 1 230 191 230 196
  drawline @MemGraph 0 1 430 191 430 196
  var %zz = 30
  :deb3 
  if ( %zz > 430 ) { goto fin3 }
  drawline @MemGraph 0 1 %zz 191 %zz 194
  inc %zz 40
  goto deb3
  :fin3
  drawtext -c @MemGraph 0 Tahoma 12 25  200 40 40 0%
  drawtext -c @MemGraph 0 Tahoma 12 224 200 40 40 50%
  drawtext -c @MemGraph 0 Tahoma 12 422 200 40 40 100%
}

alias verif_disk {
  var %disk_lettre = A:.B:.C:.D:.E:.F:.G:.H:.I:.J:.K:.L:.M:.N:.O:.P:.Q:.R:.S:.T:.U:.V:.W:.X:.Y:.Z:
  var %zz = 1
  :deb
  var %disk_l = $gettok(%disk_lettre,%zz,46)
  if ( %disk_l == $null ) { goto fin }
  if ( $disk( %disk_l ) == $true ) { did -a espion-x 3 %disk_l }
  inc %zz
  goto deb
  :fin
  dialog -t espion-x Espion-X v1.1 par eViL_dEaD - @2000 Ash Project
}

alias verifx {
  var %lig = 1 | var %zzz = 2 | var %zz = 1 
  :deb
  var %ligne = $read -nl $+ %zzz $mircdirKernel\Espion-x\Base_de_donnes._A_
  if ( %ligne == $null ) { goto fin }

  if ( %zz == 1 ) { did -i verif-x 2 %lig Fichier: %ligne  
    var %nom_fic = %ligne
    var %ok = 1
    inc %lig
    if ( $isfile( %ligne ) == $true ) { did -i verif-x 2 %lig - Le fichier existe encore... }
    if ( $isfile( %ligne ) == $false ) { did -i verif-x 2 %lig - Le fichier n'existe plus... | inc %lig | did -i verif-x 2 %lig $chr(160) | inc %lig  |  set %zz 1 |  inc %zzz 5 | goto deb }
  }

  if ( %zz == 2 ) { 
    var %taillex = $oct( %ligne )
    if ( $file( %nom_fic ).size == %ligne )  { did -i verif-x 2 %lig - Taille identique: %taillex }
    if ( $file( %nom_fic ).size != %ligne )  { 
      var %taillex2 = $oct( $file( %nom_fic ).size )
      did -i verif-x 2 %lig - La Taille a change ( Elle est passe de %taillex  %taillex2 )
  } }

  if ( %zz == 3 ) { 
    if ( $file( %nom_fic ).mtime == %ligne ) { did -i verif-x 2 %lig - Date de dernire modification identique: $frdate2($asctime( %ligne )) }
    if ( $file( %nom_fic ).mtime != %ligne ) { did -i verif-x 2 %lig - Date de dernire modification change:
      inc %lig
  did -i verif-x 2 %lig ==> De $remove($frdate2($asctime( %ligne )),le ) pour $remove($frdate2($asctime($file( %nom_fic ).mtime)),le ) }  }

  if ( %zz == 4 ) { 
    if ( $crc( %nom_fic ) == %ligne ) { did -i verif-x 2 %lig - Checksum identique: %ligne }
    if ( $crc( %nom_fic ) != %ligne ) { did -i verif-x 2 %lig - Checksum change de %ligne pour $crc( %nom_fic ) }
  }

  if ( %zz == 5 ) { did -i verif-x 2 %lig $chr(160) | var %zz = 0 }
  inc %zzz | inc %zz | inc %lig | goto deb
  :fin
  if ( %ok != 1 ) {  did -i verif-x 2 %lig Pas de fichier  vrifier !=) }
  did -z verif-x 2
}

; ###### Evenements Dialog ######

on *:dialog:espion-x:sclick:4:{ if ( $did(espion-x,3) == $null ) { halt } | aff_disk_graph $did(espion-x,3) }
on *:dialog:espion-x:sclick:5:{ if ( $did(espion-x,3) == $null ) { halt } | verif_dialog Fermer disk-x | dialog -m disk-x disk-x | dialog -t disk-x Informations sur $did(espion-x,3) | aff_disk_texte $did(espion-x,3) }
on *:dialog:espion-x:sclick:7:{ aff_mem_graph }
on *:dialog:espion-x:sclick:8:{ verif_dialog Fermer mem-x | dialog -m mem-x mem-x | aff_mem_texte }
on *:dialog:espion-x:sclick:12:{ verif_dialog Laisser aidex | dialog -m aidex aidex | affaidex  }
on *:dialog:espion-x:sclick:14:{ .timer -mo 1 100 /ajoutx }
on *:dialog:espion-x:sclick:15:{ verif_dialog Fermer afffic-x | dialog -m afffic-x afffic-x | affficx }
on *:dialog:espion-x:sclick:16:{ verif_dialog Fermer verif-x | dialog -m verif-x verif-x | verifx }

on *:dialog:mem-x:sclick:12:{ run -n $shortfn( $mircdirKernel\Espion-X\666.bat ) $shortfn($mircdirKernel\espion-X\dos.666) | .timer -mo 1 700 /run notepad $shortfn($mircdirKernel\espion-X\dos.666) }

on *:dialog:aidex:sclick:3:{ run mailto:evil-dead@sotfhome.net?subject=Espion-X v1.1 } 

on *:dialog:afffic-x:sclick:3:{ if ( $did(afffic-x,2).sel == $null ) { halt }
  if ( $int( $calc( ( $did(afffic-x,2).sel - 1 ) / 5 ) ) == $calc( ( $did(afffic-x,2).sel - 1 ) / 5 ) ) { 
    var %fic = $mircdirKernel\Espion-x\Base_de_donnes._A_ | var %fic = " $+ %fic $+ "
    var %zz = $calc( $did(afffic-x,2).sel + 1 )
    write -dl $+ %zz %fic
    write -dl $+ %zz %fic
    write -dl $+ %zz %fic
    write -dl $+ %zz %fic
    write -dl $+ %zz %fic 
    unset %zz
  affficx }
} 
on *:dialog:afffic-x:sclick:4:{ var %fic = $mircdirKernel\Espion-x\Base_de_donnes._A_ | var %fic = " $+ %fic $+ "
  .remove %fic | write %fic ; ###### Ne pas diter :) ######
affficx } 
on *:dialog:afffic-x:sclick:5:{  if ( $did(afffic-x,2).sel == $null ) { halt }
  if ( $int( $calc( ( $did(afffic-x,2).sel - 1 ) / 5 ) ) == $calc( ( $did(afffic-x,2).sel - 1 ) / 5 ) ) { 
    var %fic = $mircdirKernel\Espion-x\Base_de_donnes._A_ | var %fic = " $+ %fic $+ "
    var %zz = $calc( $did(afffic-x,2).sel + 1 ) | var %fic = $read -nl $+ %zz %fic
    if ( $isfile( %fic ) == $true ) { 
      inc %zz
      write -l $+ %zz %Fic $file( %fic).size
      inc %zz
      write -l $+ %zz %fic $file( %fic).mtime
      inc %zz
      write -l $+ %zz %fic $crc( %fic )
    affficx }  
    if ( $isfile( %fic ) == $false ) { write -dl $+ %zz %fic | write -dl $+ %zz %fic | write -dl $+ %zz %fic | write -dl $+ %zz %fic | write -dl $+ %zz %fic | affficx }
  }
}

; ###### Menu et divers ######

menu @MemGraph {
Fermer:/window -c @MemGraph }

menu @MemGraph2 {
Fermer:/window -c @MemGraph2 }

;---------------------------------------------------------------------------------------------------------------------------------------------------------------

; ###### Nick Completion ######

dialog n-comp {
  title "Nick-Completion - @2000 Ash Project"
  size -1 -1 400 150
  button "Q" , 1 , 700 700 1 1 , ok
  tab "Nick Completion" , 2 , 5 5 390 140
  tab "Aide" , 3
  check "Activer le Nick Completion" , 4 , 10 35 145 15 , tab 2
  text "Type:" , 5 , 10 65 30 15 , tab 2
  edit "" , 6 , 45 63 345 20 , autohs , tab 2
  button "Rtablir le thme de base" , 7 , 10 93 180 20 , tab 2
  button "Sauvegarder le thme dfini" , 8 , 210 93 180 20 , tab 2
  text "" , 9 , 160 35 230 15 , center , tab 2
  list 10 , 10 35 380 110 , multi , vsbar , read , tab 3
}

alias f-n-comp { set %n-comp.x $dialog(n-comp).x | set %n-comp.y $dialog(n-comp).y | window -hod +Lfd @n-comp $calc( $dialog(n-comp).x + 14 ) $calc( $dialog(n-comp).y + 145 ) 380 15 | window -a @n-comp | aline @n-comp %n-comp.temp }

alias inf-n-comp { did -ra n-comp 9 $1- | .timer -mo 1 250 /did -ra n-comp 9 $1- | .timer -mo 1 500 /did -r n-comp 9 }

alias n-comp { verif_dialog Laisser n-comp | set %n-comp.tab 1 | dialog -m n-comp n-comp | set %n-comp.temp $replace(%ash_nick_comp_type,[nick],Ash) | f-n-comp | dialog -v n-comp | .timern-comp -mo 0 100 /verif_n-comp
  var %i = 1 | var %fic = $mircdirKernel\Aides\Nick-Comp._A_ | var %fic = $shortfn(%fic) | var %temp = $read -l $+ %i %fic
  while ( %temp != $null ) { did -i n-comp 10 %i %temp | inc %i | var %temp = $read -l $+ %i %fic }
if ( $group(#Nick-Completion).status == on ) { did -c n-comp 4 } | did -ra n-comp 6 %ash_nick_comp_type }

alias verif_n-comp {
  if ( $dialog(n-comp).title == $null ) { window -c @n-comp | .timern-comp off | unset %n-comp.* | halt }
  if ( %n-comp.tab == 0 ) { halt }
  if ( ( $appactive == $false ) || ( $appstate == minimized ) || ( $appstate == hidden ) ) { window -c @n-comp | halt }
  if ( $appactive == $true ) { dialog -v n-comp
    if ( $window(@n-comp) == $null ) { f-n-comp }
    dialog -v n-comp
    if ( ( %n-comp.x != $dialog(n-comp).x ) || ( %n-comp.y != $dialog(n-comp).y ) ) { set %n-comp.x $dialog(n-comp).x | set %n-comp.y $dialog(n-comp).y
window -a @n-comp $calc( %n-comp.x + 14 ) $calc( %n-comp.y + 145 ) 380 15 } } }

on *:dialog:n-comp:sclick:2:{ set %n-comp.tab 1 }
on *:dialog:n-comp:sclick:3:{ set %n-comp.tab 0 | window -c @n-comp }
on *:dialog:n-comp:sclick:4:{ if ( $group(#Nick-Completion).status == on ) { .disable #Nick-Completion | halt } | .enable #Nick-Completion }
on *:dialog:n-comp:edit:6:{ if ( $did(n-comp,6) == $null ) { set %n-comp.temp $chr(160) | aline @n-comp %n-comp.temp | halt } | set %n-comp.temp $replace($did(n-comp,6),[nick],Ash) | aline @n-comp %n-comp.temp }
on *:dialog:n-comp:sclick:7:{ set %ash_nick_comp_type  $+ $chr(91) $+  [nick]  $+ $chr(93) $+  => | did -ra n-comp 6 %ash_nick_comp_type | aline @n-comp $replace(%ash_nick_comp_type,[nick],Ash) | set %n-comp.temp $replace(%ash_nick_comp_type,[nick],Ash) | inf-n-comp >> Thme de base rtablit :p << }
on *:dialog:n-comp:sclick:8:{ if ( $did(n-comp,6) == $null ) { inf-n-comp >> Pas de thme dfini :p << | halt } | set %ash_nick_comp_type $did(n-comp,6) | inf-n-comp >> Thme sauvegard :p << }

#Nick-Completion on
on 1:INPUT:#:{
  if ($chr(58) == $right($1,1)) {
    if ( ( $len($1) == 1 ) && ( $1 == : ) ) { say $1- | halt }
    var %nc.nick = $remove($1,:) | var %nc.temp = 0
    :start | inc %nc.temp
    if ($nick($active,%nc.temp) == $null) { say $1- | halt }
    if ($left($nick($active,%nc.temp),$len(%nc.nick)) == %nc.nick) {
      var %nc.nick = $nick($active,%nc.temp) | say $replace(%ash_nick_comp_type,[nick],%nc.nick) $2-
    halt }
  goto start } 
}
#Nick-Completion end
