;---------------------------------------------------------------------------------------------------------------------------------------------------------------
;
;                                                              Ash Project
;                                       2000 - eViL_dEaD Scripts, All Rights Reserved.
;
;---------------------------------------------------------------------------------------------------------------------------------------------------------------

;[ space invaders 1.02 ]---
;[ par Ntd <ntd@mirc.net> 

;[ sys ]---

alias resx { return $window(@Space).w }
alias resy { return $window(@Space).h }
alias si.ver { return v1.02 }
alias si.array { return $gettok(%si.invs,$calc((($$2 - 1) * %si.numx) + $$1),46) }
alias si.array.x { return $calc($gettok(%si.inv,1,32) + (($$1 - 1) * %si.xspace)) }
alias si.array.y { return $calc($gettok(%si.inv,2,32) + (($$2 - 1) * %si.yspace)) }
alias si.setarray.x { %si.temp = [ %si.inv. [ $+ [ $$1 ] $+ . $+ [ $$2 ] ] ] | %si.temp = $puttok(%si.temp,$$3,2,32) | [ %si.inv. [ $+ [ $$1 ] $+ . $+ [ $$2 ] ] ] = %si.temp }
alias si.setarray.y { %si.temp = [ %si.inv. [ $+ [ $$1 ] $+ . $+ [ $$2 ] ] ] | %si.temp = $puttok(%si.temp,$$3,3,32) | [ %si.inv. [ $+ [ $$1 ] $+ . $+ [ $$2 ] ] ] = %si.temp }
alias si.setting { return $readini $sp_rep $+ spaceinv.ini $$1 $$2 }
alias si.setstartinvs { %si.inv = 60 60 | %si.invs = $str(1.,$calc(%si.numx * %si.numy)) }
alias si.victory { .timersi* off | unset %si.dir | si.drawfresh | titlebar @Space Invaders $si.ver par Ntd [- vous avez Gagn :p -] | %si.score = 0 }
alias si.death { .timersi* off | unset %si.dir | si.drawfresh | titlebar @Space Invaders $si.ver by Ntd [- vous tes mort :( -] | %si.score = 0 }
alias si.setresvars { %si.shipx = $round($calc(($resx / 2) - 2),0) }
alias si.setup { si.setvars | si.setstartinvs %si.numx %si.numy }
alias invaders { si.setup | si.mainwin | %si.score = 0 | %si.health = 100 }
alias si.setvars { 
  %si.bmp = $sp_rep $+ inv $+ %si.level $+ .bmp | %si.dbmp = $sp_rep $+ invd $+ %si.level $+ .bmp | %si.top = 20 | %si.left = 20 
  %si.xspace = $si.setting(%si.level,xspace) | %si.yspace = $si.setting(%si.level,yspace) | %si.numx = $si.setting(%si.level,numx)
  %si.numy = $si.setting(%si.level,numy) | %si.speed = $si.setting(%si.level,speed) | %si.health = 100
}
alias si.startgame { 
  %si.level = $1 | si.drawtop | drawrect -nrf @Space $rgb(0,0,0) 1 0 32 $resx $resy | %si.dir = right | si.setup
  si.drawfresh nologo | si.drawship | titlebar @Space Invaders $si.ver par Ntd [- niveau: $1 -] | .timersi.aliens -o 0 1 si.moveinvs %si.numx %si.numy 
}
alias sp_rep { return $mircdirKernel\SpaceInvaders\ }

;[ gfx ]---

alias si.mainwin { window -pkadx @Space 10 10 10 10 | titlebar @Space Invaders $si.ver par Ntd [- pressez 1-9 pour jouer -] | si.drawfresh notop | si.setresvars }
alias si.drawlogo { drawpic -c @Space $round($calc(($resx / 2) - 320),0) $round($calc(($resy / 2) - 235),0) $sp_rep $+ invlogo.jpg }
alias si.drawship { drawpic -c @Space %si.shipx $calc($resy - 64) $sp_rep $+ invship.bmp }
alias si.drawinvs {
  %si.c1 = 0 | :outer | inc %si.c1 | %si.c2 = 0 | :inner | inc %si.c2 
  if ($si.array(%si.c1,%si.c2) == 1) { drawpic -nc @Space $si.array.x(%si.c1,%si.c2) $si.array.y(%si.c1,%si.c2) %si.bmp }
  if (%si.c2 < $2) { goto inner }
  if (%si.c1 < $1) { goto outer }
  drawdot @Space
}
alias si.drawtop { 
  drawpic -nc @Space 0 0 $sp_rep $+ topbar.bmp | drawpic -nc @Space 60 0 [ $sp_rep $+ [ %si.level ] $+ .bmp ]
  drawrect -nfr @Space $rgb(0,0,0) 1 $calc(270 - (100 - %si.health)) 4 $calc(100 - %si.health) 24
  drawtext -nr @Space $rgb(0,255,0) Arial 16 348 8 %si.score | drawdot @Space 
}
alias si.drawfresh { 
  clear -n @Space | drawfill -nr @Space $rgb(0,0,0) $rgb(192,192,192) 3 3 
  if (nologo !isin $1-) { si.drawlogo } 
  if (notop !isin $1-) { si.drawtop } | else { drawdot @Space }
}

;[ game ]---

alias si.moveinvs { 
  drawrect -nrf @Space $rgb(0,0,0) 1 0 $si.array.y(1,1) $resx $calc(($si.array.y(1,%si.numy) - $si.array.y(1,1)) + 16)
  if (((%si.dir == right) && ($si.array.x(%si.numx,1) > $calc($resx - 50))) || ((%si.dir == left) && ($si.array.x(1,1) < 50))) {
    %si.dir = $iif(%si.dir == left,right,left) | %si.inv = $gettok(%si.inv,1,32) $calc($gettok(%si.inv,2,32) + %si.yspace)
    %si.health = $calc(100 - $round($calc(($si.array.y(1,1) / (($resy - 64) - 60)) * 100),0)) | %si.score = $calc(%si.score - (%si.level * 5))
    if ($si.array.y(1,%si.numy) > $calc($resy - 64)) { si.death } | else { si.drawtop }
  }
  %si.inv = $calc($gettok(%si.inv,1,32) $iif(%si.dir == right,+,-) %si.speed) $gettok(%si.inv,2,32) | si.drawinvs %si.numx %si.numy | %si.invs = $replace(%si.invs,2,0)
}
alias si.incfire { 
  drawline -rn @Space $rgb(0,0,0) 1 %si.firex %si.firey %si.firex $calc(%si.firey + 10) 
  if ($calc(%si.firey - 14) < $si.array.y(1,1)) { unset %si.fire* | .timersi.fire off | return }
  %si.firey = $calc(%si.firey - 14) | %si.tempmin = $si.array.x(1,1) | %si.tempmax = $calc($si.array.x(%si.numx,1) + 16)
  if ((%si.firey < $calc($si.array.y(1,%si.firerow) + 16)) && (%si.firex > %si.tempmin) && (%si.firex < %si.tempmax)) {
    %si.ytemp = %si.firerow | :sigh | if (%si.firey > $si.array.y(1,%si.ytemp)) { %si.firerow = %si.ytemp | goto done } | dec %si.ytemp | if (%si.ytemp > 0) { goto sigh }
    :done | %si.tempmid = $calc(%si.tempmin + ((%si.tempmax - %si.tempmin) / 2))
    if (%si.firex < %si.tempmid) { %si.send = $calc(%si.numx / 2) | %si.sbegin = 0 }
    if (%si.firex > %si.tempmid) { %si.sbegin = $calc((%si.numx / 2) - 1) | %si.send = %si.numx }
    %si.count = %si.sbegin | :search | inc %si.count | if ($si.array(%si.count,%si.firerow) != 1) { goto skipdead }
    %si.tsx = $si.array.x(%si.count,%si.firerow) | %si.tex = $calc($si.array.x(%si.count,%si.firerow) + 16)
    if ((%si.firex > %si.tsx) && (%si.firex < %si.tex)) {
      drawpic -c @Space %si.tsx $si.array.y(%si.count,%si.firerow) %si.dbmp
      %si.invs = $puttok(%si.invs,2,$calc(((%si.firerow - 1) * %si.numx) + %si.count),46) | inc %si.score $calc(10 * %si.level) | si.drawtop
      if (1 !isin %si.invs) { if (%si.level == 9) { .timersi.temp 1 1 si.victory } | else { inc %si.level | si.startgame %si.level } }
      unset %si.fire* | .timersi.fire off | return 
    }
    :skipdead | if (%si.count < %si.send) { goto search }
  }
  drawline -rn @Space $rgb(255,255,64) 1 %si.firex %si.firey %si.firex $calc(%si.firey + 10) | drawdot @Space
}
alias si.moveship { 
  if ($2 == left) {
    if (%si.shipx > 30) { drawrect -rf @Space $rgb(0,0,0) 1 %si.shipx $calc($resy - 64) 24 22 | dec %si.shipx $1 | si.drawship } 
    else { if $timer(si.ship) != $null) { .timersi.ship off } }
  }
  if ($2 == right) {
    if (%si.shipx < $calc($resx - 30)) { drawrect -rf @Space $rgb(0,0,0) 1 %si.shipx $calc($resy - 64) 24 22 | inc %si.shipx $1 | si.drawship }
    else { if $timer(si.ship) != $null) { .timersi.ship off } }
  }
}
alias si.firelaser { 
  if ((%si.dir != $null) && (%si.firex == $null)) { %si.firex = $calc(%si.shipx + 12) | %si.firey = $calc($resy - 74) | %si.firerow = %si.numy | .timersi.fire -mo 0 50 si.incfire } 
}

;[ interaction ]

on *:CLOSE:@Space:{ .timersi.* off | unset %si.* }
on *:KEYDOWN:@Space:*:{
  if ($keyrpt == $true) { return }
  if ($chr($keyval) isnum) { 
    if ($timer(si.aliens) == $null) { si.startgame $chr($keyval) } | else { .timersi.* off | si.drawfresh } 
    return
  }
  if (%si.dir == $null) { return }
  if ($keyval == 32) { si.firelaser }
  if ($keyval == 37) { .timersi.ship -mo 0 200 .si.moveship 20 left }
  if ($keyval == 39) { .timersi.ship -mo 0 200 .si.moveship 20 right }
}
on *:KEYUP:@Space:37,39:{ .timersi.ship off }

menu @Space {
  mouse:{
    if (%si.dir == $null) { return }
    if ($mouse.x < %si.shipx) { si.moveship 10 left | return }
    if ($mouse.x > %si.shipx) { si.moveship 10 right | return }
  }
  sclick:{ si.firelaser }
}

; ###### L'Appel de Cthulhu ######

alias cthulhu { if ( $window(@cthulhu) ) { window -a @cthulhu | halt }
  set %cth_etat 0 | set %cth_aff 0 | var %fic = $mircdirKernel\Images\Cthulhu.jpg | var %fic2 = $mircdirKernel\Images\Cthulhu2.jpg
  window -hdpk0 @Cthulhu $im-posx(610,0) $im-posy(456,0) 610 456 | window -a @cthulhu
  titlebar @cthulhu Bienvenue dans l'Appel de Cthulhu. Car Ubboth-Sathla est la source et la fin...
  drawpic @cthulhu 0 0 $shortfn(%fic2) | drawpic @cthulhu 0 30 $shortfn(%fic) 
  window -ph @gauche 50 50 310 425 | drawcopy @cthulhu 0 30 300 410 @gauche 0 0
  window -ph @droite 50 50 310 425 | drawcopy @cthulhu 300 30 300 410 @droite 0 0
  window -hl @memoire
  cthulhu-mess En attente de connection... $str($chr(160),10)
  .timercthulhutest -mo 0 100 /cthulhu-test
}

alias cthulhu-1 { if ( $window(@cthulhu) == $null ) { cthulhu-fermer }
  if ( %cth_connec == 0 ) { cthulhu-mess Connection au serveur... $str($chr(160),10) | set %cth_connec 1 | halt }
cthulhu-mess $garb-c | set %cth_connec 0 }

alias cthulhu-2 { var %test = 0 | drawrect @cthulhu 0 2 2 62 322 45 | window -Sdhkl40 +dL @liste-c $calc( $window(@cthulhu).x + 8 ) $calc( $window(@cthulhu).y + 88 ) 316 39 @liste-c | window -a @liste-c
  window -dh +Lfe @liste-t $calc( $window(@cthulhu).x + 8 ) $calc( $window(@cthulhu).y + 198 ) 594 252 @liste-t 
  var %i = 1 | while ( $line(@memoire,%i) != $null ) { if ( $line(@memoire,%i) == @@@@@@ ) { var %test = 1 | goto fin } | if ( %test == 0 ) { aline -l @liste-c $line(@memoire,%i) } | if ( %test == 1 ) { aline @liste-t $replace($line(@memoire,%i),,$chr(160)) } | :fin | inc %i }
set %cth_line 107 | sline @liste-t 17 | .timercthulhu3 -mo 0 0 /cthulhu-4 }

alias cthulhu-3 { if ( $window(@cthulhu) == $null ) { cthulhu-fermer }
  if ( %cth_aff > 255 ) { set %cth_aff 255 | set %cth_aff_aj -40 } | if ( %cth_aff < 0 ) { set %cth_aff 0 | set %cth_aff_aj 40 }
  drawtext -r @cthulhu $rgb(%cth_aff,%cth_aff,%cth_aff) Tahoma 16 75 38 Liste des thmes disponibles... 
  drawtext -r @cthulhu $rgb(%cth_aff,%cth_aff,%cth_aff) Tahoma 16 384 121 Visionner le thme slectionn... 
set %cth_aff $calc( %cth_aff + %cth_aff_aj ) }

alias cthulhu-4 { if ( $window(@cthulhu) == $null ) { cthulhu-fermer }
  if ( %cth_line < 131 ) { drawline @cthulhu 0 3 161 107 161 %cth_line | inc %cth_line 3 | if ( %cth_line >= 131 ) { set %cth_line 161 } }
  if ( %cth_line > 160 ) { drawline @cthulhu 0 3 161 130 %cth_line 130 | inc %cth_line 9 | if ( %cth_line >= 351 ) {  .timercthulhu3 off | set %cth_line 109 | set %cth_coul_point 4 | set %cth_line_sens 0 | drawrect @cthulhu 0 2 351 115 245 30 | .timercthulhu4 -mo 0 0 /cthulhu-5 } }
}

alias cthulhu-5 { if ( $window(@cthulhu) == $null ) { cthulhu-fermer }
  if ( %cth_line_sens == 0 ) {
    if ( %cth_line < 131 ) { drawrect @cthulhu 0 3 160 $calc( %cth_line - 2 ) 3 3 | drawrect @cthulhu %cth_coul_point 2 160 %cth_line 3 3 | inc %cth_line 1 | if ( %cth_line >= 130 ) { set %cth_line 162 } }
    if ( %cth_line >= 162 ) { drawrect @cthulhu 0 3 $calc( %cth_line - 2 ) 129 3 3 | drawrect @cthulhu %cth_coul_point 2 %cth_line 129 3 3 | inc %cth_line 1 | if ( %cth_line >= 347 ) { set %cth_line_sens 1 } }
  halt }
  if ( %cth_line <= 131 ) { drawrect @cthulhu 0 3 160 $calc( %cth_line + 2 ) 3 3 | drawrect @cthulhu %cth_coul_point 2 160 %cth_line 3 3 | dec %cth_line 1 | if ( %cth_line <= 110 ) { set %cth_line_sens 0 } }
  if ( %cth_line >= 159 ) { drawrect @cthulhu 0 3 $calc( %cth_line + 2 ) 129 3 3 | drawrect @cthulhu %cth_coul_point 2 %cth_line 129 3 3 | dec %cth_line 1 | if ( %cth_line <= 159 ) { set %cth_line 127 } }
}

alias cthulhu-connect { set %cth_connec 0 | .timercthulhu1 -mo 0 700 /cthulhu-1 } 

alias cthulhu_dl { var %fic = hlp avi ash dll vbs pdf doc _A_ gif ini bat ico mod mid ram .rm exe mrc txt zip rar arj ace mp3 wav mov ani fli mpg bmp png jpg | if ( ( %cth_url != $null ) && ( $istok(%fic,$right(%cth_url,3),32) == $true ) ) { return $1- } }

alias cthulhu-fen { if ( ( %cth_etat == 1 ) && ( $window(@liste-c) != $null ) ) { window -a @liste-c | window -a @liste-t } }

alias cthulhu-fermer { window -c @cthulhu | window -c @gauche | window -c @droite | window -c @liste-c | window -c @memoire | window -c @liste-t | .timercthulhu* off | .sockclose cthulhu* | unset %temp-c %cth_* | halt }

alias cthulhu-fin { .timercthulhu1 off | .sockclose cthulhu* | unset %temp-c %cth_pourc %cth_tot %cth_link }

alias cthulhu-mess { drawtext -rb @cthulhu 1 $rgb(136,132,136) Tahoma 14 350 7 $1- }

alias cthulhu_son { if ( %ash_son == on ) { apparence son Cthulhu.wav } }

alias cthulhu-test { if ( $window(@cthulhu) == $null ) { cthulhu-fermer }
  if ( %cth_etat == 0 ) { halt } | if ( ( $window(@cthulhu).state == minimized ) || ( $window(@cthulhu).state == hidden ) ) { window -h @liste-c | window -h @liste-t | halt }
if ( $active == @cthulhu ) { window -a @liste-c $calc( $window(@cthulhu).x + 8 ) $calc( $window(@cthulhu).y + 88 ) 316 39 | window -a @liste-t $calc( $window(@cthulhu).x + 8 ) $calc( $window(@cthulhu).y + 198 ) 594 252 } }

alias cthulhu_url { var %fic = hlp avi ash dll vbs pdf doc _A_ gif ini bat ico mod mid ram .rm exe mrc txt zip rar arj ace mp3 wav mov ani fli mpg bmp png jpg | if ( ( %cth_url != $null ) && ( $istok(%fic,$right(%cth_url,3),32) != $true ) ) { return $1- } }

alias garb-c { return $str($chr(160),50) }

menu @cthulhu {
  dclick { cthulhu-fen }
  rclick { cthulhu-fen }
  sclick { cthulhu-fen
    if ($inrect($mouse.x,$mouse.y,249,4,30,20)) { if ( %cth_etat == 0 ) { sockclose cthulhu* | sockopen cthulhu www.multimania.com 80 | cthulhu-connect } }
    if ($inrect($mouse.x,$mouse.y,291,4,30,20)) { if ( %cth_etat == 1 ) { .timercthulhu* off | cthulhu-mess Dconnection du serveur... $str($chr(160),10) | window -c @liste-c | window -c @liste-t | unset %cth_aff | cthulhu_son | var %i = -300 | var %j = 600 | while ( %i != 0 ) { drawcopy @gauche 0 0 310 425 @cthulhu %i 30 | drawcopy @droite 0 0 310 425 @cthulhu %j 30 | inc %i | dec %j } | set %cth_etat 0 | cthulhu-mess En attente de connection... $str($chr(160),10) } }
    if ($inrect($mouse.x,$mouse.y,571,3,22,23)) { cthulhu-fermer } 
  if ($inrect($mouse.x,$mouse.y,351,115,245,30)) { if ( $sline(@liste-c,1) != $null ) { set %cth_pourc 1 | sockclose cthulhu* | set %cth_link $remove($sline(@liste-c,1),$chr(32)) $+ .jpg | sockopen cthulhu2 www.multimania.com 80 | cthulhu-connect } } }
  uclick { cthulhu-fen }
}

menu @liste-c {
  dclick:if ( $sline(@liste-c,1) != $null ) { set %cth_pourc 1 | sockclose cthulhu* | set %cth_link $remove($sline(@liste-c,1),$chr(32)) $+ .jpg | sockopen cthulhu2 www.multimania.com 80 | cthulhu-connect }
}

menu @liste-t { 
  Revenir au dbut:sline @liste-t 17
  - 
  -
  $cthulhu_dl(Tlcharger le fichier):/run %cth_url
  -
  $cthulhu_url(Adresse Internet [ %cth_url ] )
  .Copier
  ..Dans le clipboard
  ...Ajouter au clipboard:/clipboard -a $crlf $+ %cth_url
  ...-
  ...Ajouter en effaant les donnes du clipboard:/clipboard %cth_url
  ..-
  ..Dans vos favoris Internet:{ var %rep = $sdir="Slectionnez le rpertoire o sauvegarder l'url..." c:\windows\favoris\ | if ( %rep == $null ) { var %rep = c:\windows\favoris\ }
    var %fic = " $+ %rep $+ $remove(%cth_url,http:\\) $+ .url $+ " | if ( $isfile(%fic) == $true ) { messash fermer Cette adresse internet est dj dans vos favoris Internet :p | halt }
  var %url = BASEURL= $+ %cth_url | var %urll = URL= $+ %cth_url | write %fic [DEFAULT] | write %fic %url | write %fic [InternetShortcut] | write %fic %urll }
  ..-
  ..Dans votre rpertoire web:{
    var %fic = $mircdirLog-Scripts\WWW.log | var %fic = " $+ %fic $+ "
    var %verif = ok | var %i = 1 | var %t = $read -nl $+ %i %fic | while ( %t != $null ) { if ( %cth_url == %t ) { var %verif = non | /break } | inc %i 2 | var %t = $read -nl $+ %i %fic }
    if ( %verif != ok ) { messash fermer Cette adresse internet est dj dans votre rpertoire :p | halt }
    write %fic %cth_url | write %fic Adresse ajoute depuis L'Appel de Cthulhu...
  }
  .-
  .Lancer:run %cth_url
  -
  Sauvegarder le texte:{ var %fic = $file="Fichier" c:\*.txt | if ( %fic == $null ) { halt } | var %fic = " $+ %fic $+ " | savebuf $line(@liste-t,0) @liste-t %fic }
}

on ^1:HOTLINK:http*:@liste-t:set %cth_url $remove($1,$chr(160))
on ^1:HOTLINK:*:@liste-t:if ( http !isin $1 ) { unset %cth_url }
on 1:HOTLINK:*]*:@liste-t:var %t = * $+ $remove($replace($1,$chr(254),$chr(32),-,$chr(32)),$chr(160)) $+ * | var %l = $calc($fline(@liste-t,%t,1) + 16 ) | if ( %l > $line(@liste-t,0) ) { var %l = $line(@liste-t,0) } | sline @liste-t %l
on 1:HOTLINK:http*:@liste-t:run $1
on 1:HOTLINK:*Tlcharger#*:@liste-t:run $remove($1,Tlcharger#,$chr(160))
on 1:HOTLINK:*:@liste-t:var %t = $remove($1,,-) | set %cth_pourc 1 | sockclose cthulhu* | set %cth_link %t $+ .jpg | sockopen cthulhu2 www.multimania.com 80 | cthulhu-connect 
on 1:HOTLINK:*@*:@liste-t:if ( ( $gettok($1,1,64) != $null ) && ( $gettok($1,2,64) != $null ) ) { var %t = mailto: $+ $1 | /run $replace($remove(%t,Mail#,$chr(160)),,$chr(160)) }

on 1:SOCKREAD:cthulhu:{
  if ($sockerr > 0) { cthulhu-fin | cthulhu-mess Erreur lors de la connection au serveur... | halt }
  clear @memoire | :suivant | sockread %temp-c | if ($sockbr == 0) { return }
  if ( %temp-c == ###### ) { cthulhu-fin | cthulhu-mess Recueil des donnes termin... $str($chr(160),10) | cthulhu_son | var %i = -1 | var %j = 300 | while ( %i != -301) { drawcopy @gauche 0 0 310 425 @cthulhu %i 30 | drawcopy @droite 0 0 310 425 @cthulhu %j 30 | drawline @cthulhu 1 1 %j 30 %j 440 | dec %i | inc %j } | set %cth_etat 1 | set %cth_aff 0 | set %cth_aff_aj 40 | cthulhu-2 | .timercthulhu2 -mo 0 100 /cthulhu-3 | halt }
aline -l @memoire %temp-c | goto suivant }

on 1:SOCKOPEN:cthulhu:{
  if ( $sockerr > 0) { if ( $sockerr == 4 ) { cthulhu-fin | cthulhu-mess Connectez vous  internet d'abord :p | goto suite } 
    if ( $sockerr == 3 ) { cthulhu-fin | cthulhu-mess Impossible de se connecter au serveur... | goto suite }
  cthulhu-fin | cthulhu-mess Erreur socket numro $sockerr ...| :suite | halt }
  sockwrite -n cthulhu GET /ashproject/Cthulhu/Themes.jpg 
info-socks cthulhu www.multimania.com }

on 1:SOCKREAD:cthulhu2:{
  if ($sockerr > 0) { cthulhu-fin | cthulhu-mess Erreur lors de la connection au serveur... | halt }
  clear @liste-t | :suivant | sockread %temp-c | if ($sockbr == 0) { return }
  if ( %cth_pourc == 1 ) { inc %cth_pourc | set %cth_tot %temp-c | goto suivant }
  if ( %temp-c == ###### ) { cthulhu-fin | cthulhu-mess Recueil des donnes termin... $str($chr(160),10) | sline @liste-t 17 | halt }
cthulhu-mess $int( $calc( %cth_pourc / %cth_tot * 100 ) ) $+ % des donnes collectes... | inc %cth_pourc | aline @liste-t $replace(%temp-c,,$chr(160)) | goto suivant }

on 1:SOCKOPEN:cthulhu2:{
  if ( $sockerr > 0) { if ( $sockerr == 4 ) { cthulhu-fin | cthulhu-mess Connectez vous  internet d'abord :p | goto suite } 
    if ( $sockerr == 3 ) { cthulhu-fin | cthulhu-mess Impossible de se connecter au serveur... | goto suite }
  cthulhu-fin | cthulhu-mess Erreur socket numro $sockerr ... | :suite | halt }
  var %t = /ashproject/Cthulhu/ $+ %cth_link | sockwrite -n cthulhu2 GET %t 
info-socks cthulhu2 www.multimania.com }
