; /*********************************************/
; /*       Missile Command 2 v1.1 (c) 2000     */
; /*                                           */
; /*     Robert Christiansen aka [ZnabelA]     */
; /*          http://ZnabelA.Ninja.dk          */
; /*   mail: ZnabelA@ZnabelA.dk UIN: 1383014   */
; /*********************************************/
; /* Btatesteurs : Karsten(hund),peavey */
; /*                      |Hobbez|             */
; /*********************************************/
; /* Traduction franaise: eViL_dEaD ( ash@enjoy-unix.org ) */
; /*********************************************/
; /* Le manque de commentaire est VOULU ! */
; /*********************************************/
; /*        Ne rippez pas mon code svp !      */
; /*********************************************/
; /* Si vous voulez utilisez toute ou partie de ce jeu dans */
; /* votre script public demandez moi la permission      */
; /* d'abord. Je suis en gnral trs gentil si on me   */
; /* le demande avec gentillesse! :o)           */
; /*********************************************/

alias -l mc2.version { return v1.1 mIRC5.71 }

alias -l mc2.verifyIni {
  if ( $exists($scriptdirMissileCommand2.ini) == $false ) { write -c $scriptdirMissileCommand2.ini [OPTIONS]
    writeini $scriptdirMissileCommand2.ini OPTIONS sound $true | writeini $scriptdirMissileCommand2.ini OPTIONS stageLimit 25 | writeini $scriptdirMissileCommand2.ini OPTIONS nextCityAt 1000 | writeini $scriptdirMissileCommand2.ini OPTIONS nextCityINC 5000
    writeini $scriptdirMissileCommand2.ini HISCORE 1 [ZnabelA] 5000 | writeini $scriptdirMissileCommand2.ini HISCORE 2 [ZnabelA] 2500 | writeini $scriptdirMissileCommand2.ini HISCORE 3 [ZnabelA] 1250 | writeini $scriptdirMissileCommand2.ini HISCORE 4 [ZnabelA] 1000 | writeini $scriptdirMissileCommand2.ini HISCORE 5 [ZnabelA] 500
  }
}

alias mc2.initGame { .timerMC2.* off | unset %mc2.* | if ( $window(@Mcommand2) != $null ) {  clear -n @Mcommand2 } | mc2.verifyIni 0 0 | set %mc2.gamePlayer1.score 0 | set %mc2.gamePlayer1.name $me | set %mc2.gamePlayer.MD 0 | set %mc2.gamePlayer.MS 0 | set %mc2.gamePlayer.SF 0 | set %mc2.gamePlayer.stage 1 | set %mc2.gameStatus init
  set %mc2.gamePlayer.stageLimit $readini $scriptdirMissileCommand2.ini OPTIONS stageLimit 
  set %mc2.gamePlayer.sound $readini $scriptdirMissileCommand2.ini OPTIONS sound | set %mc2.gamePlayer.nextCityAt $readini $scriptdirMissileCommand2.ini OPTIONS nextCityAt | set %mc2.gamePlayer.newCity $false | mc2.drawBoard | mc2.updateScore | mc2.updateStage | mc2.updateSound | .timerMC2.gameRunning -om 0 50 mc2.gameRunning
}

alias -l mc2.sound {
  if ( $1 == $null ) { return %mc2.gamePlayer.sound }
  else {
    .splay -w stop
    set %mc2.gamePlayer.sound $iif( %mc2.gamePlayer.sound == $true , $false , $true ) 
    writeini $scriptdirMissileCommand2.ini OPTIONS sound %mc2.gamePlayer.sound
    mc2.updateSound
  }
}

alias -l mc2.drawBoard {
  var %x = $calc( ( $window(-1).w - 500 ) / 2 ) | var %y = $calc( ( $window(-1).h - 350 ) / 2 )
  if ( $window(@Mcommand2) == $null ) { window -afdpk0 +fnet @Mcommand2 %x %y 500 350 }
  drawline -nr @Mcommand2 $rgb(128,128,128) 2 0 20 500 20
  drawfill -nrs @Mcommand2 0 16777215 1 25
  drawfill -nrs @Mcommand2 $rgb(0,0,255) 16777215 2 2
  drawrect -nrfe @Mcommand2 $rgb(255,16,16) 1 230 305 40 40
  drawrect -nrf @Mcommand2 $rgb(0,64,0) 0 0 325 500 25
  drawtext -nro @Mcommand2 $rgb(064,064,64) ARIAL 36 102 72 Missile Command 2
  drawtext -nro @Mcommand2 $rgb(255,255,00) ARIAL 36 100 70 Missile Command 2
  drawtext -nr @Mcommand2 $rgb(0,255,255) ARIAL 14 214 103 [ $mc2.version ]
  drawtext -nr @Mcommand2 $rgb(255,255,255) ARIAL 16 165 120 (c)2000 Robert Christiansen
  drawtext -nr @Mcommand2 $rgb(255,255,0) ARIAL 12 200 135 aka [ZnabelA]/Undernet
  drawtext -np @Mcommand2 0 ARIAL 14 180 145 12,1http://christiansen.person.dk
  drawtext -nr @Mcommand2 $rgb(128,128,128) ARIAL 24 97 172 Clickez sur la souris pour dbuter!
  drawtext -nr @Mcommand2 $rgb(000,255,000) ARIAL 24 95 170 Clickez sur la souris pour dbuter!
  drawtext -nrbc @Mcommand2 $rgb(0,0,196) $rgb(0,0,255) FIXEDSYS 18 460 1 40 20 PAUSE
  drawtext -np @Mcommand2 0 ARIAL 16 190 193 0,1 _ _ High-Scores _ _ 
  mc2.drawCity 1 | mc2.drawCity 2 | mc2.drawCity 3 | mc2.drawCity 5 | mc2.drawCity 6 | mc2.drawCity 7
  drawdot @Mcommand2
}

alias -l mc2.updateScore { drawtext -nrbo @Mcommand2 $rgb(255,255,255) $rgb(0,0,255) ARIAL 18 1 0 [Score : [ %mc2.gamePlayer1.score ] $+ ]] $+ $chr(160) | drawdot @Mcommand2 }
alias -l mc2.updateStage { drawtext -nrbo @Mcommand2 $rgb(255,255,255) $rgb(0,0,255) ARIAL 18 120 0 [Niveau: [ %mc2.gamePlayer.stage ] $+ ]] $+ $chr(160) | drawdot @Mcommand2 }
alias -l mc2.updateSound { drawtext -nrbc @Mcommand2 $rgb(255,255,0) $rgb(0,0,255) FIXEDSYS 18 360 1 80 20 Sons: $+ [ $iif( %mc2.gamePlayer.sound == $true , On , Off ) ] $+ $chr(160) | drawdot @Mcommand2 }

alias -l mc2.passCityBonus { if ( %mc2.gamePlayer1.score > %mc2.gamePlayer.nextCityAt ) { inc %mc2.gamePlayer.nextCityAt $readini $scriptdirMissileCommand2.ini OPTIONS nextCityINC | set %mc2.gamePlayer.newCity $true } }
alias -l mc2.gameRunning {
  if ( %mc2.gameStatus == run ) {
    if ( $calc( %mc2.gamePlayer.MD +1 ) > $calc( %mc2.gamePlayer.stage * %mc2.gamePlayer.stageLimit ) ) {
      if ( %mc2.gamePlayer.ActiveMissiles == 0 && %mc2.gamePlayer.number_of_explosions == 0 ) { 
        if ( $mc2.sound == $true ) { .splay $scriptdirMC2_end_stage.wav }
        set %mc2.gameStatus bonus | mc2.updateScore | mc2.updateStage
      }
    }
    else if ( $r(0,100) > $calc(95 - %mc2.gamePlayer.stage ) && %mc2.gamePlayer.ActiveMissiles < $calc( 2 + %mc2.gamePlayer.stage ) ) { 
      if ( $mc2.sound == $true ) { .splay $scriptdirMC2_missile_drop.wav } 
      inc %mc2.gamePlayer.MD 
      inc %mc2.gamePlayer.ActiveMissiles 
      var %mc2.MissileId = $ticks 
      .timerMC2.Missile. $+ %mc2.MissileId -om 0 100 mc2.dropMissile %mc2.MissileId $r(1,3)
    }
  }
  elseif ( %mc2.gameStatus == init ) {
    if ( %mc2.gameStatus.timer > 25 ) { unset %mc2.gameStatus.timer }
    inc %mc2.gameStatus.timer
    if ( %mc2.gameStatus.timer == 1 ) { 
      if ( %mc2.gameStatus.color == 2 ) { unset %mc2.gameStatus.color }
      inc %mc2.gameStatus.color
    }
    if ( $calc( %mc2.gameStatus.timer % 5 ) == 0 ) {
      var %mc2.hiscore.number = $calc( %mc2.gameStatus.timer /5 )
      var %mc2.hiscore.text = $readini $scriptdirMissileCommand2.ini HISCORE %mc2.hiscore.number
      drawtext -np @Mcommand2 0 ARIAL 12 200 $calc(200+( %mc2.hiscore.number *11))  $+ $iif( %mc2.gameStatus.color == 1 ,8,7) $+ ,01 $+ %mc2.hiscore.number $+ .
      drawtext -np @Mcommand2 0 ARIAL 12 210 $calc(200+( %mc2.hiscore.number *11))  $+ $iif( %mc2.gameStatus.color == 1 ,0,14) $+ ,01 $+ $gettok(%mc2.hiscore.text,2,32)
      drawtext -np @Mcommand2 0 ARIAL 12 260 $calc(200+( %mc2.hiscore.number *11))  $+ $iif( %mc2.gameStatus.color == 1 ,9,3) $+ ,01 $+ $gettok(%mc2.hiscore.text,1,32)
      drawtext -nr @Mcommand2 $rgb(32,32,80) ARIAL 24 97 172 Clickez sur la souris pour dbuter!
      drawtext -nr @Mcommand2 $iif( %mc2.gameStatus.color == 1 ,$rgb(255,255,255),$rgb(128,128,255)) ARIAL 24 95 170 Clickez sur la souris pour dbuter!
      drawdot @Mcommand2
    }
  }
  elseif ( %mc2.gameStatus == stage ) {
    if ( ( %mc2.gameStatus.stageLoop < 100 ) || ( %mc2.gameStatus.stageLoop == $null ) ) {
      if ( %mc2.gameStatus.stageLoop == $null ) { 
        drawtext -nr @Mcommand2 $rgb(255,255,255) arial 12 218 90 Prparez vous! 
        drawtext -nr @Mcommand2 $rgb(64,64,64) arial 32 202 102 Niveau [ %mc2.gamePlayer.stage ]

      }
      elseif ( $calc( $ctime % 2 ) == 0 ) { drawtext -nr @Mcommand2 $rgb(0,0,255) arial 32 200 100 Niveau [ %mc2.gamePlayer.stage ] }
      else { drawtext -nr @Mcommand2 $rgb(190,190,255) arial 32 200 100 Niveau [ %mc2.gamePlayer.stage ] }
      inc %mc2.gameStatus.stageLoop
      drawdot @Mcommand2
    }        
    else { drawrect -rf @Mcommand2 0 0 70 80 360 70 | set %mc2.gameStatus run | set %mc2.gamePlayer.maxShot 0 | set %mc2.gamePlayer.ActiveMissiles 0 | unset %mc2.gameStatus.stageLoop }
  }
  elseif ( %mc2.gameStatus == pause ) { if ( $calc( $ctime % 2 ) == 0 ) { drawtext -rbc @Mcommand2 $rgb(255,255,255) $rgb(0,0,255) FIXEDSYS 18 460 1 40 20 PAUSE } | else { drawtext -rbc @Mcommand2 $rgb(255,255,0) $rgb(0,0,255) FIXEDSYS 18 460 1 40 20 PAUSE } }
  elseif ( %mc2.gameStatus == bonus ) { if ( %mc2.bonus.id == $null ) { set %mc2.bonus.id 0 | .timerMC2.bonus -om 0 500 mc2.bonus } }
  elseif ( %mc2.gameStatus == gameOver ) { }
  elseif ( %mc2.gameStatus == hiscore ) {
    if ( $dialog(mc2.dialog.hiscore) == $null ) { mc2.show.hiscore }
  }
}

alias mc2.sclick {
  if ( %mc2.gameStatus == init && $inrect($mouse.x,$mouse.y,460,0,40,20) == $false ) {
    if ( $inrect($mouse.x,$mouse.y,180,145 ,140,15) == $true ) { run http://christiansen.person.dk }
    else { drawrect -rf @Mcommand2 0 0 70 60 360 220 | set %mc2.gameStatus stage }
  }
  elseif ( %mc2.gameStatus == stage && $inrect($mouse.x,$mouse.y,460,0,40,20) == $false && %mc2.gameStatus.stageLoop > 20 ) {
    drawrect -rf @Mcommand2 0 0 70 80 360 70
    set %mc2.gameStatus run
    unset %mc2.gameStatus.stageLoop
  }
  elseif ( %mc2.gameStatus == run ) {
    if ( $inrect($mouse.x,$mouse.y,460,0,40,20) ) { set %mc2.gameStatus pause }
    if ( $inrect($mouse.x,$mouse.y,360,1,80,20) ) { mc2.Sound 1 }
    if ( %mc2.gamePlayer.maxShot < $calc(5+( %mc2.gamePlayer.stage /20)) && $mouse.y <= 290 && $mouse.y > 40 ) {
      if ( %mc2.gamePlayer.ActiveMissiles != 0 ) {
        if ( $mc2.sound == $true ) { .splay $scriptdirMC2_missile_explode.wav } 
        inc %mc2.gamePlayer.maxShot
        inc %mc2.gamePlayer.SF
        var %mc2.explosion = $ticks
        .timerMC2.explosion. $+ %mc2.explosion -om 0 75 mc2.explosion %mc2.explosion $mouse.x $mouse.y 2
      }
    }
  }
  elseif ( %mc2.gameStatus == pause ) {
    if ( $inrect($mouse.x,$mouse.y,460,0,40,20) ) { drawtext -nrbc @Mcommand2 $rgb(0,0,196) $rgb(0,0,255) FIXEDSYS 18 460 1 40 20 PAUSE | set %mc2.gameStatus run }
  }
  elseif ( %mc2.gameStatus == bonus ) { if ( %mc2.bonus.id > 14 ) { set %mc2.bonus.id 24 } }
}

alias -l mc2.bonus {
  inc %mc2.bonus.id
  if ( %mc2.bonus.id < 5 ) {
    if ( %mc2.bonus.id == 1 ) { drawtext -nr @Mcommand2 $rgb(64,64,64) ARIAL 26 152 102 Niveau [ %mc2.gamePlayer.stage ] Complt! | var %mc2.bonus.point = 0 }
    if ( $calc( %mc2.bonus.id % 2 ) == 0 ) { drawtext -nr @Mcommand2 $rgb(0,255,0) ARIAL 26 150 100 Niveau [ %mc2.gamePlayer.stage ] Complt! }
    else { drawtext -nr @Mcommand2 $rgb(190,255,190) ARIAL 26 150 100 Niveau [ %mc2.gamePlayer.stage ] Complt! }
    drawdot @Mcommand2
  }
  elseif ( %mc2.bonus.id < 13 ) {
    :loop2
    inc %mc2.bonus.city
    if ( %mc2.bonus.city == 4 ) { inc %mc2.bonus.city }
    if ( [ %mc2.gamePlayer.city [ $+ [ %mc2.bonus.city ] ] ] == $true ) {
      inc %mc2.bonus.count
      inc %mc2.bonus.point $calc( 40 + ( %mc2.gamePlayer.stage * 10 ) )
      drawtext -nrb @Mcommand2 $rgb(255,255,190) $rgb(0,0,0) ARIAL 16 190 180 Bonus collect: [ %mc2.bonus.point ]
      drawcopy -nt @Mcommand2 $rgb(0,64,0) $calc( ( %mc2.bonus.city * 72.5 ) - 60 ) 300 38 43 @Mcommand2 $calc( 100 + ( %mc2.bonus.count * 40 ) ) 150 19 21
      drawdot @Mcommand2
    }
    else {
      if ( %mc2.bonus.city < 6 ) { goto loop2 }
      if ( %mc2.bonus.count == 6 ) {
        inc %mc2.bonus.point $calc( 250 + ( %mc2.gamePlayer.stage * 10 ) )
        drawtext -nrb @Mcommand2 $rgb(255,255,190) $rgb(0,0,0) ARIAL 16 190 180 Bonus collect: [ %mc2.bonus.point ]
        drawtext -nrb @Mcommand2 $rgb(255,128,128) $rgb(0,0,0) ARIAL 28 210 200 Parfait!
        drawdot @Mcommand2
        set %mc2.bonus.id 14
      }
    }
  }
  elseif ( %mc2.bonus.id == 15 ) { inc %mc2.gamePlayer1.score %mc2.bonus.point | mc2.updateScore | mc2.passCityBonus | if ( %mc2.gamePlayer.newCity == $true ) { mc2.addCity | set %mc2.gamePlayer.newCity $false } }
  elseif ( %mc2.bonus.id == 25 ) {
    drawrect -nrf @Mcommand2 $rgb(0,0,0) 0 100 100 300 190
    drawdot @Mcommand2
    inc %mc2.gamePlayer.stage
    mc2.updateStage
    set %mc2.gameStatus Stage
    .timerMC2.bonus off
    unset %mc2.bonus.*
  }
}

menu @Mcommand2 {
  mouse: { if ( %mc2.gameStatus == run ) { mc2.drawgun } }
  sclick: { mc2.sclick }
  dclick:  { }
}

alias -l mc2.PosX { return $calc( ( $1 * 72.5 ) - 40 ) }

alias -l mc2.addCity {
  unset %mc2.addCity
  :mc2.addCity 
  inc %mc2.addCity 
  if ( %mc2.addCity == 4 ) { inc %mc2.addCity }
  if ( [ %mc2.gamePlayer.city [ $+ [ %mc2.addCity ] ] ] == $true && %mc2.addCity < 8 ) {
    goto mc2.addCity
  } 
  if ( %mc2.addCity != 8 ) {
    mc2.drawCity %mc2.addCity
    drawdot @Mcommand2  
  } 
  else { }
}

alias -l mc2.destroyCity {
  if ( [ %mc2.gamePlayer.city [ $+ [ $1 ] ] ] == $true ) {
    drawrect -nrf @Mcommand2 $rgb(0,0,0) 0 $calc( ( $1 * 72.5 ) - 60 ) 291 40 34
    drawrect -nrf @Mcommand2 $rgb(0,64,0) 0 $calc( ( $1 * 72.5 ) - 60 ) 325 40 25
    drawrect -nrfe @Mcommand2 $rgb(0,0,0) 0 $calc( ( $1 * 72.5 ) - 60 ) 310 40 25 
    drawdot @Mcommand2
    set %mc2.gamePlayer.city $+ $1 $false
    var %mc2.destroyCity = 0
    :loop
    inc %mc2.destroyCity
    if ( %mc2.destroyCity == 4 ) { inc %mc2.destroyCity }
    if ( [ %mc2.gamePlayer.city [ $+ [ %mc2.destroyCity ] ] ] == $false && %mc2.destroyCity < 8 ) { goto loop } 
    if ( %mc2.destroyCity == 8 ) {   
      .timerMC2.baseExplosion -om 0 100 MC2.baseExplosion $ticks
      set %mc2.gameStatus gameover
    }
  }
}

alias -l mc2.dropMissile {
  if ( %mc2.dropMissile. [ $+ [ $1 ] $+ ] .id == $null ) {
    set %mc2.dropMissile. $+ $1 $+ .id $1
    set %mc2.dropMissile. $+ $1 $+ .sX $r(1,7)
    :mc2.dropMissile.loop
    set %mc2.dropMissile. $+ $1 $+ .eX $r(1,7)
    if ( [ %mc2.gamePlayer.city [ $+ [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .eX ] ] ] == $false ) { goto mc2.dropMissile.loop }
    set %mc2.dropMissile. $+ $1 $+ .X1 $mc2.PosX( [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .sX ] )
    set %mc2.dropMissile. $+ $1 $+ .Y1 25
    set %mc2.dropMissile. $+ $1 $+ .X2 $mc2.PosX( [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .eX ] )
    set %mc2.dropMissile. $+ $1 $+ .Y2 310
    set %mc2.dropMissile. $+ $1 $+ .cX [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .X1 ]
    set %mc2.dropMissile. $+ $1 $+ .cY 25
    set %mc2.dropMissile. $+ $1 $+ .koef $calc( ( [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .X2 ] - [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .X1 ] ) / ( [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .Y2 ] - [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .Y1 ] ) )
    set %mc2.dropMissile. $+ $1 $+ .koef $iif( [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .koef ] == $null , 0 , [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .koef ] )
    set %mc2.dropMissile. $+ $1 $+ .speed $calc( $2 + ( 0.2 * %mc2.gamePlayer.stage ) )
  }
  if ( %mc2.gameStatus == run ) {
    if ( %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cY > 310 ) {
      if ( %mc2.dropMissile. [ $+ [ $1 ] $+ ] .eX != 4 ) { 
        dec %mc2.gamePlayer.ActiveMissiles
        drawline -r @Mcommand2 0 3 [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .X1 ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .Y1 ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cX ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cY ]
        if ( $mc2.sound == $true ) { .splay $scriptdirMC2_destroy_city.wav }
        mc2.destroyCity [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .eX ] 
        unset %mc2.dropMissile. [ $+ [ $1 ] $+ ] .*
        .timerMC2.Missile. [ $+ [ $1 ] ] off
      }
      else {
        dec %mc2.gamePlayer.ActiveMissiles
        drawline -r @Mcommand2 0 3 [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .X1 ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .Y1 ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cX ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cY ]
        if ( $mc2.sound == $true ) { .splay $scriptdirMC2_destroy_city.wav }
        unset %mc2.dropMissile. [ $+ [ $1 ] $+ ] .*
        .timerMC2.Missile. [ $+ [ $1 ] ] off
        .timerMC2.baseExplosion -om 0 100 MC2.baseExplosion $ticks 
        set %mc2.gameStatus gameover
      }
    }
    else {
      inc %mc2.dropMissile. $+ $1 $+ .cX $calc( [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .koef ] * [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .speed ] )
      inc %mc2.dropMissile. $+ $1 $+ .cY [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .speed ]
      if ( $getdot(@Mcommand2, [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cX ] , [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cY ] ) == $rgb(255,255,0) ) {
        dec %mc2.gamePlayer.ActiveMissiles
        inc %mc2.gamePlayer.MS
        inc %mc2.gamePlayer1.score $round($calc( ( [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cY ] / 10 ) ),0)
        mc2.passCityBonus
        drawline -nr @Mcommand2 0 3 [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .X1 ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .Y1 ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cX ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cY ]
        var %mc2.explosion = $ticks
        .timerMC2.explosion. $+ %mc2.explosion -om 0 75 mc2.explosion %mc2.explosion [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cX ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cY ] 1.5
        unset %mc2.dropMissile. [ $+ [ $1 ] $+ ] .*
        .timerMC2.Missile. [ $+ [ $1 ] ] off
        mc2.updateScore
      }
      else {
        drawline -nr @Mcommand2 $rgb(255,0,0) 1 [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .X1 ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .Y1 ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cX ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cY ]
        drawdot -nr @Mcommand2 $rgb(255,255,255) 1 [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cX ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cY ]
        drawdot @Mcommand2
      }
    }
  }
  elseif ( %mc2.gameStatus == gameover ) {
    drawline -nr @Mcommand2 0 3 [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .X1 ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .Y1 ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cX ] [ %mc2.dropMissile. [ $+ [ $1 ] $+ ] .cY ]
    unset %mc2.dropMissile. [ $+ [ $1 ] $+ ] .*
    timerMC2.Missile. [ $+ [ $1 ] ] off
  }

}

alias -l mc2.explosion {
  if ( %mc2.explosion. [ $+ [ $1 ] $+ ] .id == $null ) { inc %mc2.gamePlayer.number_of_explosions | set %mc2.explosion. $+ $1 $+ .id $1 | set %mc2.explosion. $+ $1 $+ .X $2 | set %mc2.explosion. $+ $1 $+ .Y $3 | set %mc2.explosion. $+ $1 $+ .maxSize $4 | set %mc2.explosion. $+ $1 $+ .growing $true | set %mc2.explosion. $+ $1 $+ .scale 0.2 }
  if ( %mc2.gameStatus == run ) {
    if ( [ %mc2.explosion. [ $+ [ $1 ] $+ ] .growing ] == $true ) {
      set %mc2.explosion. $+ $1 $+ .scale $calc( [ %mc2.explosion. [ $+ [ $1 ] $+ ] .scale ] + 0.30 )
      if ( %mc2.explosion. [ $+ [ $1 ] $+ ] .scale > [ %mc2.explosion. [ $+ [ $1 ] $+ ] .maxSize ] ) { set %mc2.explosion. $+ $1 $+ .growing $false }     
    }
    else {
      var %mc2.explosion.stage = $calc( 15 * [ %mc2.explosion. [ $+ [ $1 ] $+ ] .scale ] )
      drawrect -rfe @Mcommand2 $rgb(0,0,0) 3 $calc( [ %mc2.explosion. [ $+ [ $1 ] $+ ] .X ] - (  [ %mc2.explosion.stage ] / 2 ) ) $calc( [ %mc2.explosion. [ $+ [ $1 ] $+ ] .Y ] - (  [ %mc2.explosion.stage ] / 2 ) ) [ %mc2.explosion.stage ]  [ %mc2.explosion.stage ] 
      dec %mc2.explosion. $+ $1 $+ .scale 0.1
      if ( [ %mc2.explosion. [ $+ [ $1 ] $+ ] .scale ] < 0.05 ) {
        dec %mc2.gamePlayer.number_of_explosions
        if ( $4 == 2 ) { dec %mc2.gamePlayer.maxShot }
        .timerMC2.explosion. [ $+ [ $1 ] ] off
        unset %mc2.explosion. [ $+ [ $1 ] $+ ] .*
      }
    }
    var %mc2.explosion.stage = $calc( 15 * [ %mc2.explosion. [ $+ [ $1 ] $+ ] .scale ] )
    drawrect -rfe @Mcommand2 $rgb(255,255,0) 2 $calc( [ %mc2.explosion. [ $+ [ $1 ] $+ ] .X ] - (  [ %mc2.explosion.stage ] / 2 ) ) $calc( [ %mc2.explosion. [ $+ [ $1 ] $+ ] .Y ] - (  [ %mc2.explosion.stage ] / 2 ) ) [ %mc2.explosion.stage ]  [ %mc2.explosion.stage ] 
  }
  elseif ( %mc2.gameStatus == gameover ) {
    var %mc2.explosion.stage = $calc( 15 * [ %mc2.explosion. [ $+ [ $1 ] $+ ] .scale ] )
    drawrect -re @Mcommand2 $rgb(0,0,0) 2 $calc( [ %mc2.explosion. [ $+ [ $1 ] $+ ] .X ] - (  [ %mc2.explosion.stage ] / 2 ) ) $calc( [ %mc2.explosion. [ $+ [ $1 ] $+ ] .Y ] - (  [ %mc2.explosion.stage ] / 2 ) ) [ %mc2.explosion.stage ]  [ %mc2.explosion.stage ] 
    .timerMC2.explosion. [ $+ [ $1 ] ] off
    unset %mc2.explosion. [ $+ [ $1 ] $+ ] .*
  }
}

on ^*:CLOSE:@Mcommand2: { 
  .timerMC2.* off
  unset %mc2.*
}

alias -l mc2.drawbuilding { 
  var %mc2.dbcol1 = $calc(100+(20*$r(0,5))) 
  var %mc2.dbsize = $calc( 10 * $r(1,3) )
  drawrect -nrf @Mcommand2 $rgb(%mc2.dbcol1,%mc2.dbcol1,%mc2.dbcol1) 1 $1 $calc( 340 - %mc2.dbsize ) 10 $calc( 3 + %mc2.dbsize )
  var %mc2.dbsize = $calc( %mc2.dbsize /3)-1) | :loop | if ( %mc2.dbsize > 0 ) { if ( $r(0,3) < 3 ) { mc2.drawWindow $calc( $1 +1 ) $calc( 342 - ( %mc2.dbsize *3 ) ) } | if ( $r(0,3) < 3 ) { mc2.drawWindow $calc( $1 +4 ) $calc( 342 - ( %mc2.dbsize *3 ) ) }
    if ( $r(0,3) < 3 ) { mc2.drawWindow $calc( $1 +7 ) $calc( 342 - ( %mc2.dbsize *3 ) ) } 
    dec %mc2.dbsize 
    goto loop 
  }
}

alias -l mc2.drawWindow {
  drawrect -rn @Mcommand2 $iif( $r(0,5) < 2 , $rgb(255,255,128) , $rgb(0,0,0) ) 1 $1 $2 2 2
}

alias -l mc2.drawCity {
  var %mc2.dcpos = $1 
  var %mc2.dcx = $calc( ( %mc2.dcpos * 72.5 ) - 60 ) 
  var %mc2.dcl = 0 
  drawrect -nrf @Mcommand2 $rgb(0,64,0) 1 $calc( %mc2.dcx -2) 325 42 20 
  set %mc2.gamePlayer.city $+ %mc2.dcpos $true 
  :start 
  if ( %mc2.dcl < 4 ) {
    mc2.drawbuilding $calc( %mc2.dcx + ( %mc2.dcl * 10 ) ) 
    inc %mc2.dcl 
    goto start
  }
}

alias -l mc2.baseExplosion {
  if ( %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .id == $null ) { 
    set %mc2.baseExplosion. $+ $1 $+ .id $1 
    set %mc2.baseExplosion. $+ $1 $+ .growing $true 
    set %mc2.baseExplosion. $+ $1 $+ .size 1
    set %mc2.baseExplosion.Cities 1   
    :loop
    if ( %mc2.baseExplosion.Cities < 8 ) { mc2.destroyCity %mc2.baseExplosion.Cities | inc %mc2.baseExplosion.Cities | goto loop }
  }
  if ( [ %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .growing ] == $true ) {
    inc %mc2.baseExplosion. $+ $1 $+ .size 4
    if ( %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .size > 60 ) { set %mc2.baseExplosion. $+ $1 $+ .growing $false }     
  }
  else {
    drawrect -rfen @Mcommand2 $rgb(0,0,0) 1 $calc(250- [ %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .size ] ) $calc(310- ( [ %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .size ] / 2 ) ) $calc( [ %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .size ] *2 ) [ %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .size ]
    dec %mc2.baseExplosion. $+ $1 $+ .size 3
    if ( [ %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .size ] < 0.05 ) {
      .timerMC2.baseExplosion off
      unset %mc2.baseExplosion.*
      if ( $mc2.hiscore != $false ) {
        if ( $mc2.sound == $true ) { .splay $scriptdirMC2_end_stage.wav }
        set %mc2.gameStatus hiscore
        mc2.show.hiscore
      }
      else {
        if ( $mc2.sound == $true ) { .splay $scriptdirMC2_game_over.wav }
        mc2.initGame
      }
    }
  }
  if ( [ %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .size ] != $null ) { 
  drawrect -rfen @Mcommand2 $rgb(255, $calc( [ %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .size ] *3) ,0) 1 $calc(250- [ %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .size ] ) $calc(310- ( [ %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .size ] / 2 ) ) $calc( [ %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .size ] *2 ) [ %mc2.baseExplosion. [ $+ [ $1 ] $+ ] .size ] }
  drawdot @Mcommand2
}

alias -l mc2.hiscore {
  var %mc2.hiscore = 0
  :loop
  inc %mc2.hiscore
  var %mc2.hiscore.check = $readini $scriptdirMissileCommand2.ini HISCORE %mc2.hiscore
  if ( %mc2.gamePlayer1.score <= $gettok(%mc2.hiscore.check,2,32) && %mc2.hiscore < 6 ) { goto loop }
  elseif ( %mc2.hiscore == 6 ) { return $false }
  else { return %mc2.hiscore }
}

alias mc2.reghiscore {
  var %mc2.reghiscore.text = $1-
  var %mc2.reghiscore = 0
  :loop
  inc %mc2.reghiscore
  var %mc2.reghiscore.check = $readini $scriptdirMissileCommand2.ini HISCORE %mc2.reghiscore
  if ( $gettok(%mc2.reghiscore.text,2,32) <= $gettok(%mc2.reghiscore.check,2,32) && %mc2.reghiscore < 6 ) { goto loop }
  elseif ( %mc2.reghiscore == 6 ) { return }
  else {
    :loop2
    var %mc2.regtemp = $readini $scriptdirMissileCommand2.ini HISCORE %mc2.reghiscore
    writeini $scriptdirMissileCommand2.ini HISCORE %mc2.reghiscore %mc2.reghiscore.text
    var %mc2.reghiscore.text = %mc2.regtemp
    inc %mc2.reghiscore
    if ( %mc2.reghiscore < 6 ) { goto loop2 }
  }
}

dialog mc2.dialog.hiscore {
  TITLE "Nouvel high-score!"
  SIZE  -1 -1 180 120
  TEXT  "Niveau termin:", 02,  5 15 90 22,RIGHT
  TEXT  "0",               22, 95 15 15 22,LEFT
  TEXT  "Votre score:",     03,  5 35 90 22,RIGHT
  TEXT  "0",               23, 95 35 75 22,LEFT
  TEXT  "Entrez votre nom:", 01,  5 55 90 22,RIGHT
  EDIT  "",                21, 95 50 75 22,LEFT
  BUTTON "&Fini" , 10,70 90 50 20, MC2.OK
}

on *:dialog:mc2.dialog.hiscore:*:*: {
  if ( $devent == init ) {
    did -o mc2.dialog.hiscore 23 1 %mc2.gamePlayer1.score
    did -o mc2.dialog.hiscore 22 1 %mc2.gamePlayer.stage
    did -o mc2.dialog.hiscore 21 1 $me
    did -f mc2.dialog.hiscore 21
  }
  elseif ( $devent == sclick && $did == 10 ) {
    if ( $did($dname,21,1).len < 1 || $did($dname,21,1).len > 9 ) {
      dialog -t $dname Nick ou Nom non valide!
      did -f $dname 21
      halt
    }
    else { mc2.regHiscore $did($dname,21,1) $did($dname,23,1) | dialog -x $dname | mc2.initGame }
  }
  elseif ( $devent == edit && ( $did($dname,21,1).len < 1 || $did($dname,21,1).len > 9 ) ) {
    dialog -t $dname Nick ou Nom non valide!
    did -o mc2.dialog.hiscore 21 1 $left($did($dname,21,1),9)
    did -f $dname 21
    halt
  }
  else { dialog -t $dname Nouvel high-score! }
}

alias mc2.show.hiscore { 
  if ( $mc2.sound == $true ) { .splay $scriptdirMC2_got_highscore.wav }
  dialog -mok mc2.dialog.hiscore mc2.dialog.hiscore
}

alias -l mc2.drawGun { 
  drawrect -nrf @Mcommand2 $rgb(0,0,0) 1 210 292 80 30
  var %mc2.deltaX = $calc( 250 - $mouse.x ) 
  var %mc2.deltaY = $calc( 325 - $iif( $mouse.y > 280 , 280 , $mouse.y ) ) 
  var %mc2.forhold = $calc( $sqrt( $calc( ( %mc2.deltaX ^ 2)+( %mc2.deltaY ^ 2) ) ) / 30 ) 
  var %mc2.X = $calc( %mc2.deltaX / %mc2.forhold ) 
  var %mc2.Y = $calc( %mc2.deltaY / %mc2.forhold ) 
  var %mc2.xfin = $calc( 250 - %mc2.X ) 
  var %mc2.yfin = $calc( 325 - %mc2.Y ) 
  if ( %mc2.gameStatus == run ) { 
    drawline -nr @Mcommand2 $iif( %mc2.gamePlayer.maxShot > $calc(4+( %mc2.gamePlayer.stage /20)) , $rgb(100,100,100) , $rgb(200,0,0) ) 4 250 325 %mc2.xfin %mc2.yfin
  } 
  drawrect -nrfe @Mcommand2 $rgb(255,16,16) 1 230 305 40 40 
  drawrect -nrf  @Mcommand2 $rgb(0,64,0) 1 200 325 100 25 
  drawdot @Mcommand2
}

on *:KEYDOWN:@Mcommand2:*: {
  if ( $keyrpt == $true ) { return } 
  if ( $keyval == 80 && ( %mc2.gameStatus == run || %mc2.gameStatus == pause ) ) {
    set %mc2.gameStatus $iif( %mc2.gameStatus == pause , run , pause )
    drawtext -nrbc @Mcommand2 $rgb(0,0,196) $rgb(0,0,255) FIXEDSYS 18 460 1 40 20 PAUSE
  }
  elseif ( $keyval == 83 ) { mc2.sound 1 }
}
